libzypp 17.37.10

zyppng::ZckHelper Class Reference

`#include <zypp-curl/ng/network/zckhelper.h>`

## Classes
struct | PrepareResult

## Public Types
using | Block = RangeDesc

## Static Public Member Functions
static bool | isZchunkFile (const zypp::Pathname &file)
static PrepareResult | prepareZck (const zypp::Pathname &delta, const zypp::Pathname &target, const zypp::ByteCount &expectedFileSize)
static bool | validateZckFile (const zypp::Pathname &file, std::string &error)

## Detailed Description

Definition at line 22 of file zckhelper.h.

## Member Typedef Documentation

## ◆ Block

using zyppng::ZckHelper::Block = RangeDesc

Definition at line 25 of file zckhelper.h.

## Member Function Documentation

## ◆ isZchunkFile()

bool zyppng::ZckHelper::isZchunkFile | ( | const zypp::Pathname & | file | ) |
| static

Checks if a given file is a zck file

Definition at line 21 of file zckhelper.cc.

## ◆ prepareZck()

ZckHelper::PrepareResult zyppng::ZckHelper::prepareZck | ( | const zypp::Pathname & | delta,
|  | const zypp::Pathname & | target,
|  | const zypp::ByteCount & | expectedFileSize )
| static

Prepares the file in target with already existing chunks in delta. The target file must already contain the zck header data of the to be downloaded file.

Definition at line 34 of file zckhelper.cc.

## ◆ validateZckFile()

bool zyppng::ZckHelper::validateZckFile | ( | const zypp::Pathname & | file,
|  | std::string & | error )
| static

Checks if a given zck file is internally valid

Definition at line 169 of file zckhelper.cc.

The documentation for this class was generated from the following files:

- zypp-curl/ng/network/zckhelper.h
- zypp-curl/ng/network/zckhelper.cc